
Infrastructure - Bug #4280

Openldap increase checkpoint interval

2014-02-18 21:55 - Robert Waltz

Status: Closed Start date: 2014-02-18

Priority: Normal Due date: 2014-07-19

Assignee: Robert Waltz % Done: 100%

Category: d1_cn_buildout Estimated time: 0.00 hour

Target version: 2014.28-Block.4.2   

Milestone: CCI-1.2 Story Points:  

Product Version: 1.2.8   

Description

Robert:

when upgrading a component, slapd takes more than a few seconds to die, do not kill it.  For some reason, slapd sometimes takes

10-20 minutes to perform its shutdown procedure.  If slapd is killed before completing the process there appears to be a slight

chance that the underlying datastructures become corrupted. 

Matt:

I've read that slapd shutdowns are slow when they are not checkpointed enough relative to the memory available to them.  You might

consider increasing the memory or increasing the minimum checkpoint interval.

History

#1 - 2014-02-18 21:56 - Robert Waltz

- Description updated

#2 - 2014-03-14 18:46 - Robert Waltz

- Target version changed from 2014.8-Block.1.4 to 2014.14-Block.2.3

- Due date changed from 2014-03-01 to 2014-04-12

#3 - 2014-03-14 18:47 - Robert Waltz

- Assignee changed from Robert Waltz to David Doyle

#4 - 2014-03-19 02:09 - Robert Waltz

- Assignee changed from David Doyle to Robert Waltz

#5 - 2014-06-26 21:59 - Robert Waltz

- Status changed from New to In Progress

#6 - 2014-07-30 03:29 - Robert Waltz

- Due date changed from 2014-04-12 to 2014-07-19

- Product Version changed from * to 1.2.8

- Milestone changed from CCI-1.3 to CCI-1.2

- Target version changed from 2014.14-Block.2.3 to 2014.28-Block.4.2

- Status changed from In Progress to Closed
